/// <reference types="react" />
export interface IAvatar {
    backgroundColor?: string;
    fontColor?: string;
    avatar: string;
    style?: React.CSSProperties;
    tooltip?: string;
    fontSize?: number;
}
export interface BaseAvatarGroup {
    onAvatarClick?(avatar: string | IAvatar, index: number): any;
    max?: number;
    displayAllOnHover?: boolean;
    square?: boolean;
    size?: number;
    randomBackgroundColors?: string[];
    shadow?: number;
    style?: React.CSSProperties;
    avatarStyle?: React.CSSProperties;
    hideTooltip?: boolean;
    tooltipStyle?: React.CSSProperties;
    tooltipArrow?: boolean;
}
export interface AvatarGroupOptions extends BaseAvatarGroup {
    fontSize?: number;
    uppercase?: boolean;
    bold?: boolean;
    initialCharacters?: number;
    backgroundColor?: string;
    fontColor?: string;
}
